#
# From v3.15.0?? reference design package: sikekiq_z3u.xdc
#
#set_property direction INOUT [get_ports {gpio[0]}]
#set_property direction IN    [get_ports {data_clk}]
#set_property direction OUT   [get_ports {eeprom_wp}]
#set_property direction OUT   [get_ports {en_io_exp}]
#set_property direction OUT   [get_ports {fb_clk}]
#set_property direction IN    [get_ports {ref_40mhz}]
#set_property direction IN    [get_ports {gps_pps_in}]
#set_property direction OUT   [get_ports {uart0_tx}]
#set_property direction IN    [get_ports {uart0_rx}]
#set_property direction INOUT [get_ports {scl}]
#set_property direction INOUT [get_ports {sda}]
#set_property direction OUT   [get_ports {ref_osc_pwr_en}]
#set_property direction OUT   [get_ports {rfic_enable}]
#set_property direction OUT   [get_ports {rfic_en_agc}]
#set_property direction OUT   [get_ports {rfic_txnrx}]
#set_property direction OUT   [get_ports {rfic_ctrl_in[0]}]
#set_property direction OUT   [get_ports {rfic_ctrl_in[1]}]
#set_property direction OUT   [get_ports {rfic_ctrl_in[2]}]
#set_property direction OUT   [get_ports {rfic_ctrl_in[3]}]
#set_property direction IN    [get_ports {adc_dig_bus_a[0]}]
#set_property direction IN    [get_ports {adc_dig_bus_a[1]}]
#set_property direction IN    [get_ports {adc_dig_bus_a[2]}]
#set_property direction IN    [get_ports {adc_dig_bus_a[3]}]
#set_property direction IN    [get_ports {adc_dig_bus_a[4]}]
#set_property direction IN    [get_ports {adc_dig_bus_a[5]}]
#set_property direction IN    [get_ports {adc_dig_bus_a[6]}]
#set_property direction IN    [get_ports {adc_dig_bus_a[7]}]
#set_property direction OUT   [get_ports {rf_rst_n}]
#set_property direction OUT   [get_ports {spi_clk}]
#set_property direction OUT   [get_ports {spi_mosi}]
#set_property direction IN    [get_ports {spi_miso}]
#set_property direction OUT   [get_ports {spi_en_lo}]
#set_property direction OUT   [get_ports {multi_sync}]
#set_property direction INOUT [get_ports {scl_1}]
#set_property direction INOUT [get_ports {sda_1}]
#set_property direction IN    [get_ports {rx_data[0]}]
#set_property direction IN    [get_ports {rx_data[1]}]
#set_property direction IN    [get_ports {rx_data[2]}]
#set_property direction IN    [get_ports {rx_data[3]}]
#set_property direction IN    [get_ports {rx_data[4]}]
#set_property direction IN    [get_ports {rx_data[5]}]
#set_property direction IN    [get_ports {rx_data[6]}]
#set_property direction IN    [get_ports {rx_data[7]}]
#set_property direction IN    [get_ports {rx_data[8]}]
#set_property direction IN    [get_ports {rx_data[9]}]
#set_property direction IN    [get_ports {rx_data[10]}]
#set_property direction IN    [get_ports {rx_data[11]}]
#set_property direction IN    [get_ports {rx_frame}]
#set_property direction INOUT [get_ports {scl_2}]
#set_property direction INOUT [get_ports {sda_2}]
#set_property direction INOUT [get_ports {{gpio[1]}]
#set_property direction INOUT [get_ports {{gpio[2]}]
#set_property direction OUT   [get_ports {tx_data[0]}]
#set_property direction OUT   [get_ports {tx_data[1]}]
#set_property direction OUT   [get_ports {tx_data[2]}]
#set_property direction OUT   [get_ports {tx_data[3]}]
#set_property direction OUT   [get_ports {tx_data[4]}]
#set_property direction OUT   [get_ports {tx_data[5]}]
#set_property direction OUT   [get_ports {tx_data[6]}]
#set_property direction OUT   [get_ports {tx_data[7]}]
#set_property direction OUT   [get_ports {tx_data[8]}]
#set_property direction OUT   [get_ports {tx_data[9]}]
#set_property direction OUT   [get_ports {tx_data[10]}]
#set_property direction OUT   [get_ports {tx_data[11]}]
#set_property direction OUT   [get_ports {tx_frame}]
#set_property direction OUT   [get_ports {wfl_osc_en}]

#set_property BITSTREAM.CONFIG.PERSIST NO [current_design]

set_property IOSTANDARD  LVCMOS18 [get_ports gps_pps_in]
set_property PACKAGE_PIN P3       [get_ports gps_pps_in]
set_property IOSTANDARD  LVCMOS18 [get_ports pps_in]
set_property PACKAGE_PIN U2       [get_ports pps_in]
set_property IOSTANDARD  LVCMOS18 [get_ports gps_fix]
set_property PACKAGE_PIN P2       [get_ports gps_fix]
set_property IOSTANDARD  LVCMOS18 [get_ports gps_fix_led]
set_property PACKAGE_PIN U1       [get_ports gps_fix_led]

#set_property IOSTANDARD LVCMOS18 [get_ports ref_spi_dat]
#set_property PACKAGE_PIN T2      [get_ports ref_spi_dat]
#set_property IOSTANDARD LVCMOS18 [get_ports ref_spi_clk]
#set_property PACKAGE_PIN T3      [get_ports ref_spi_clk]


#set_property IOSTANDARD LVCMOS18  [get_ports ref_spi_pll_le]
#set_property PACKAGE_PIN R3       [get_ports ref_spi_pll_le]

#set_property SLEW SLOW            [get_ports gpio[1]]
##set_property PACKAGE_PIN T2      [get_ports TP8]
#set_property PACKAGE_PIN A8       [get_ports gpio[1]]
#set_property DRIVE 4              [get_ports gpio[1]]
#set_property IOSTANDARD LVCMOS18  [get_ports gpio[1]]
#set_property IOSTANDARD  LVCMOS18 [get_ports uart0_rx]
#set_property PACKAGE_PIN N2       [get_ports uart0_rx]
#set_property IOSTANDARD  LVCMOS18 [get_ports uart0_tx]
#set_property DRIVE       4        [get_ports uart0_tx]
#set_property SLEW        SLOW     [get_ports uart0_tx]
#set_property PACKAGE_PIN P1       [get_ports uart0_tx]

#set_property SLEW SLOW            [get_ports gpio[0]]
#set_property DRIVE 4              [get_ports gpio[0]]
#set_property IOSTANDARD LVCMOS18  [get_ports gpio[0]]
##set_property PACKAGE_PIN U1      [get_ports ACCEL_INT]
#set_property PACKAGE_PIN D6       [get_ports gpio[0]]
set_property IOSTANDARD  LVCMOS18 [get_ports eeprom_wp]
set_property DRIVE       4        [get_ports eeprom_wp]
set_property SLEW        SLOW     [get_ports eeprom_wp]
set_property PACKAGE_PIN T4       [get_ports eeprom_wp]
set_property IOSTANDARD  LVCMOS18 [get_ports scl_2]
set_property DRIVE       4        [get_ports scl_2]
set_property SLEW        SLOW     [get_ports scl_2]
set_property PACKAGE_PIN R1       [get_ports scl_2]
set_property IOSTANDARD  LVCMOS18 [get_ports sda_2]
set_property DRIVE       4        [get_ports sda_2]
set_property SLEW        SLOW     [get_ports sda_2]
set_property PACKAGE_PIN T1       [get_ports sda_2]
set_property IOSTANDARD LVCMOS18  [get_ports en_io_exp]
set_property DRIVE 4              [get_ports en_io_exp]
set_property SLEW SLOW            [get_ports en_io_exp]
set_property PACKAGE_PIN N3       [get_ports en_io_exp]

#set_property IOSTANDARD LVCMOS18  [get_ports gpio[2]]
#set_property DRIVE 4              [get_ports gpio[2]]
#set_property SLEW SLOW            [get_ports gpio[2]]
##set_property PACKAGE_PIN P1      [get_ports TP9]
#set_property PACKAGE_PIN E8       [get_ports gpio[2]]
#set_property IOSTANDARD LVCMOS18  [get_ports gpio[3]]
#set_property DRIVE 4              [get_ports gpio[3]]
#set_property SLEW SLOW            [get_ports gpio[3]]
#set_property PACKAGE_PIN F4       [get_ports gpio[3]]

#set_property IOSTANDARD LVCMOS18  [get_ports rx_data[0]]
#set_property PACKAGE_PIN L3       [get_ports rx_data[0]]
#set_property IOSTANDARD LVCMOS18  [get_ports rx_data[1]]
#set_property PACKAGE_PIN L4       [get_ports rx_data[1]]
#set_property IOSTANDARD LVCMOS18  [get_ports rx_data[2]]
#set_property PACKAGE_PIN M4       [get_ports rx_data[2]]
#set_property IOSTANDARD LVCMOS18  [get_ports rx_data[3]]
#set_property PACKAGE_PIN M5       [get_ports rx_data[3]]
#set_property IOSTANDARD LVCMOS18  [get_ports rx_data[4]]
#set_property PACKAGE_PIN N4       [get_ports rx_data[4]]
#set_property IOSTANDARD LVCMOS18  [get_ports rx_data[5]]
#set_property PACKAGE_PIN N5       [get_ports rx_data[5]]
#set_property IOSTANDARD LVCMOS18  [get_ports rx_data[6]]
#set_property PACKAGE_PIN M1       [get_ports rx_data[6]]
#set_property IOSTANDARD LVCMOS18  [get_ports rx_data[7]]
#set_property PACKAGE_PIN M2       [get_ports rx_data[7]]
#set_property IOSTANDARD LVCMOS18  [get_ports rx_data[8]]
#set_property PACKAGE_PIN L1       [get_ports rx_data[8]]
#set_property IOSTANDARD LVCMOS18  [get_ports rx_data[9]]
#set_property PACKAGE_PIN L2       [get_ports rx_data[9]]
#set_property IOSTANDARD LVCMOS18  [get_ports rx_data[10]]
#set_property PACKAGE_PIN J1       [get_ports rx_data[10]]
#set_property IOSTANDARD LVCMOS18  [get_ports rx_data[11]]
#set_property PACKAGE_PIN K1       [get_ports rx_data[11]]
set_property IOSTANDARD LVCMOS18  [get_ports rx_data_0]
set_property PACKAGE_PIN L3       [get_ports rx_data_0]
set_property IOSTANDARD LVCMOS18  [get_ports rx_data_1]
set_property PACKAGE_PIN L4       [get_ports rx_data_1]
set_property IOSTANDARD LVCMOS18  [get_ports rx_data_2]
set_property PACKAGE_PIN M4       [get_ports rx_data_2]
set_property IOSTANDARD LVCMOS18  [get_ports rx_data_3]
set_property PACKAGE_PIN M5       [get_ports rx_data_3]
set_property IOSTANDARD LVCMOS18  [get_ports rx_data_4]
set_property PACKAGE_PIN N4       [get_ports rx_data_4]
set_property IOSTANDARD LVCMOS18  [get_ports rx_data_5]
set_property PACKAGE_PIN N5       [get_ports rx_data_5]
set_property IOSTANDARD LVCMOS18  [get_ports rx_data_6]
set_property PACKAGE_PIN M1       [get_ports rx_data_6]
set_property IOSTANDARD LVCMOS18  [get_ports rx_data_7]
set_property PACKAGE_PIN M2       [get_ports rx_data_7]
set_property IOSTANDARD LVCMOS18  [get_ports rx_data_8]
set_property PACKAGE_PIN L1       [get_ports rx_data_8]
set_property IOSTANDARD LVCMOS18  [get_ports rx_data_9]
set_property PACKAGE_PIN L2       [get_ports rx_data_9]
set_property IOSTANDARD LVCMOS18  [get_ports rx_data_10]
set_property PACKAGE_PIN J1       [get_ports rx_data_10]
set_property IOSTANDARD LVCMOS18  [get_ports rx_data_11]
set_property PACKAGE_PIN K1       [get_ports rx_data_11]
set_property IOSTANDARD LVCMOS18  [get_ports rx_frame]
set_property PACKAGE_PIN J3       [get_ports rx_frame]
set_property IOSTANDARD LVCMOS18  [get_ports data_clk]
set_property PACKAGE_PIN K4       [get_ports data_clk]
#set_property IOSTANDARD LVCMOS18  [get_ports rfic_en_agc]
#set_property DRIVE 4              [get_ports rfic_en_agc]
#set_property SLEW SLOW            [get_ports rfic_en_agc]
#set_property PACKAGE_PIN H5       [get_ports rfic_en_agc]
set_property IOSTANDARD  LVCMOS18 [get_ports tx_frame]
set_property PACKAGE_PIN E4       [get_ports tx_frame]
set_property IOSTANDARD  LVCMOS18 [get_ports fb_clk]
set_property PACKAGE_PIN D3       [get_ports fb_clk]
#set_property IOSTANDARD  LVCMOS18 [get_ports tx_data[0]]
#set_property PACKAGE_PIN C2       [get_ports tx_data[0]]
#set_property IOSTANDARD  LVCMOS18 [get_ports tx_data[1]]
#set_property PACKAGE_PIN D2       [get_ports tx_data[1]]
#set_property IOSTANDARD  LVCMOS18 [get_ports tx_data[2]]
#set_property PACKAGE_PIN D1       [get_ports tx_data[2]]
#set_property IOSTANDARD  LVCMOS18 [get_ports tx_data[3]]
#set_property PACKAGE_PIN E1       [get_ports tx_data[3]]
#set_property IOSTANDARD  LVCMOS18 [get_ports tx_data[4]]
#set_property PACKAGE_PIN F1       [get_ports tx_data[4]]
#set_property IOSTANDARD  LVCMOS18 [get_ports tx_data[5]]
#set_property PACKAGE_PIN G1       [get_ports tx_data[5]]
#set_property IOSTANDARD  LVCMOS18 [get_ports tx_data[6]]
#set_property PACKAGE_PIN G2       [get_ports tx_data[6]]
#set_property IOSTANDARD  LVCMOS18 [get_ports tx_data[7]]
#set_property PACKAGE_PIN H2       [get_ports tx_data[7]]
#set_property IOSTANDARD  LVCMOS18 [get_ports tx_data[8]]
#set_property PACKAGE_PIN F2       [get_ports tx_data[8]]
#set_property IOSTANDARD  LVCMOS18 [get_ports tx_data[9]]
#set_property PACKAGE_PIN F3       [get_ports tx_data[9]]
#set_property IOSTANDARD  LVCMOS18 [get_ports tx_data[10]]
#set_property PACKAGE_PIN G4       [get_ports tx_data[10]]
#set_property IOSTANDARD  LVCMOS18 [get_ports tx_data[11]]
#set_property PACKAGE_PIN H4       [get_ports tx_data[11]]
set_property IOSTANDARD  LVCMOS18 [get_ports tx_data_0]
set_property PACKAGE_PIN C2       [get_ports tx_data_0]
set_property IOSTANDARD  LVCMOS18 [get_ports tx_data_1]
set_property PACKAGE_PIN D2       [get_ports tx_data_1]
set_property IOSTANDARD  LVCMOS18 [get_ports tx_data_2]
set_property PACKAGE_PIN D1       [get_ports tx_data_2]
set_property IOSTANDARD  LVCMOS18 [get_ports tx_data_3]
set_property PACKAGE_PIN E1       [get_ports tx_data_3]
set_property IOSTANDARD  LVCMOS18 [get_ports tx_data_4]
set_property PACKAGE_PIN F1       [get_ports tx_data_4]
set_property IOSTANDARD  LVCMOS18 [get_ports tx_data_5]
set_property PACKAGE_PIN G1       [get_ports tx_data_5]
set_property IOSTANDARD  LVCMOS18 [get_ports tx_data_6]
set_property PACKAGE_PIN G2       [get_ports tx_data_6]
set_property IOSTANDARD  LVCMOS18 [get_ports tx_data_7]
set_property PACKAGE_PIN H2       [get_ports tx_data_7]
set_property IOSTANDARD  LVCMOS18 [get_ports tx_data_8]
set_property PACKAGE_PIN F2       [get_ports tx_data_8]
set_property IOSTANDARD  LVCMOS18 [get_ports tx_data_9]
set_property PACKAGE_PIN F3       [get_ports tx_data_9]
set_property IOSTANDARD  LVCMOS18 [get_ports tx_data_10]
set_property PACKAGE_PIN G4       [get_ports tx_data_10]
set_property IOSTANDARD  LVCMOS18 [get_ports tx_data_11]
set_property PACKAGE_PIN H4       [get_ports tx_data_11]

#set_property IOSTANDARD  LVCMOS18 [get_ports rfic_ctrl_in[0]]
#set_property DRIVE       4        [get_ports rfic_ctrl_in[0]]
#set_property SLEW        SLOW     [get_ports rfic_ctrl_in[0]]
#set_property PACKAGE_PIN A2       [get_ports rfic_ctrl_in[0]]
#set_property IOSTANDARD  LVCMOS18 [get_ports rfic_ctrl_in[1]]
#set_property DRIVE       4        [get_ports rfic_ctrl_in[1]]
#set_property SLEW        SLOW     [get_ports rfic_ctrl_in[1]]
#set_property PACKAGE_PIN A3       [get_ports rfic_ctrl_in[1]]
#set_property IOSTANDARD  LVCMOS18 [get_ports rfic_ctrl_in[2]]
#set_property DRIVE       4        [get_ports rfic_ctrl_in[2]]
#set_property SLEW        SLOW     [get_ports rfic_ctrl_in[2]]
#set_property PACKAGE_PIN B4       [get_ports rfic_ctrl_in[2]]
#set_property IOSTANDARD  LVCMOS18 [get_ports rfic_ctrl_in[3]]
#set_property DRIVE       4        [get_ports rfic_ctrl_in[3]]
#set_property SLEW        SLOW     [get_ports rfic_ctrl_in[3]]
#set_property PACKAGE_PIN A4       [get_ports rfic_ctrl_in[3]]
#set_property IOSTANDARD LVCMOS18  [get_ports ref_40mhz]
#set_property PACKAGE_PIN B1       [get_ports ref_40mhz]
#set_property IOSTANDARD  LVCMOS18 [get_ports adc_dig_bus_a[0]]
#set_property PACKAGE_PIN E5       [get_ports adc_dig_bus_a[0]]
#set_property IOSTANDARD  LVCMOS18 [get_ports adc_dig_bus_a[1]]
#set_property PACKAGE_PIN B6       [get_ports adc_dig_bus_a[1]]
#set_property IOSTANDARD  LVCMOS18 [get_ports adc_dig_bus_a[2]]
#set_property PACKAGE_PIN D5       [get_ports adc_dig_bus_a[2]]
#set_property IOSTANDARD  LVCMOS18 [get_ports adc_dig_bus_a[3]]
#set_property PACKAGE_PIN C5       [get_ports adc_dig_bus_a[3]]
#set_property IOSTANDARD  LVCMOS18 [get_ports adc_dig_bus_a[4]]
#set_property PACKAGE_PIN B5       [get_ports adc_dig_bus_a[4]]
#set_property IOSTANDARD  LVCMOS18 [get_ports adc_dig_bus_a[5]]
#set_property PACKAGE_PIN A6       [get_ports adc_dig_bus_a[5]]
#set_property IOSTANDARD  LVCMOS18 [get_ports adc_dig_bus_a[6]]
#set_property PACKAGE_PIN B7       [get_ports adc_dig_bus_a[6]]
#set_property IOSTANDARD  LVCMOS18 [get_ports adc_dig_bus_a[7]]
#set_property PACKAGE_PIN A7       [get_ports adc_dig_bus_a[7]]
set_property IOSTANDARD  LVCMOS18 [get_ports spi_miso]
set_property PACKAGE_PIN D8       [get_ports spi_miso]
set_property IOSTANDARD  LVCMOS18 [get_ports spi_mosi]
set_property DRIVE       4        [get_ports spi_mosi]
set_property SLEW        SLOW     [get_ports spi_mosi]
set_property PACKAGE_PIN D7       [get_ports spi_mosi]
set_property IOSTANDARD LVCMOS18  [get_ports ref_int_mems]
set_property DRIVE 4              [get_ports ref_int_mems]
set_property SLEW SLOW            [get_ports ref_int_mems]
set_property PACKAGE_PIN P5       [get_ports ref_int_mems]
set_property IOSTANDARD LVCMOS18  [get_ports ref_ext_10m]
set_property DRIVE 4              [get_ports ref_ext_10m]
set_property SLEW SLOW            [get_ports ref_ext_10m]
set_property PACKAGE_PIN R4       [get_ports ref_ext_10m]
set_property IOSTANDARD LVCMOS18  [get_ports rfic_enable]
set_property DRIVE 4              [get_ports rfic_enable]
set_property SLEW SLOW            [get_ports rfic_enable]
set_property PACKAGE_PIN F6       [get_ports rfic_enable]
set_property IOSTANDARD LVCMOS18  [get_ports rfic_txnrx]
set_property DRIVE 4              [get_ports rfic_txnrx]
set_property SLEW SLOW            [get_ports rfic_txnrx]
set_property PACKAGE_PIN G7       [get_ports rfic_txnrx]
#set_property IOSTANDARD LVCMOS18  [get_ports pl_ctrl_tdd_txrx_n]
#set_property DRIVE 4              [get_ports pl_ctrl_tdd_txrx_n]
#set_property SLEW SLOW            [get_ports pl_ctrl_tdd_txrx_n]
#set_property PACKAGE_PIN E6       [get_ports pl_ctrl_tdd_txrx_n]
set_property IOSTANDARD  LVCMOS18 [get_ports rf_rst_n]
set_property DRIVE       4        [get_ports rf_rst_n]
set_property SLEW        SLOW     [get_ports rf_rst_n]
set_property PACKAGE_PIN F8       [get_ports rf_rst_n]
#set_property IOSTANDARD  LVCMOS18 [get_ports multi_sync]
#set_property DRIVE       4        [get_ports multi_sync]
#set_property SLEW        SLOW     [get_ports multi_sync]
#set_property PACKAGE_PIN F7       [get_ports multi_sync]
set_property IOSTANDARD LVCMOS18  [get_ports ref_ext_40m]
set_property DRIVE 4              [get_ports ref_ext_40m]
set_property SLEW SLOW            [get_ports ref_ext_40m]
set_property PACKAGE_PIN R5       [get_ports ref_ext_40m]
set_property IOSTANDARD  LVCMOS18 [get_ports spi_en_lo]
set_property DRIVE       4        [get_ports spi_en_lo]
set_property SLEW        SLOW     [get_ports spi_en_lo]
set_property PACKAGE_PIN C8       [get_ports spi_en_lo]
set_property IOSTANDARD  LVCMOS18 [get_ports spi_clk]
set_property DRIVE       4        [get_ports spi_clk]
set_property SLEW        SLOW     [get_ports spi_clk]
set_property PACKAGE_PIN C7       [get_ports spi_clk]
set_property IOSTANDARD  LVCMOS18 [get_ports sda_1]
set_property DRIVE       4        [get_ports sda_1]
set_property SLEW        SLOW     [get_ports sda_1]
set_property PACKAGE_PIN G6       [get_ports sda_1]
set_property IOSTANDARD  LVCMOS18 [get_ports scl_1]
set_property DRIVE       4        [get_ports scl_1]
set_property SLEW        SLOW     [get_ports scl_1]
set_property PACKAGE_PIN G5       [get_ports scl_1]
set_property IOSTANDARD  LVCMOS18 [get_ports scl]
set_property DRIVE       4        [get_ports scl]
set_property SLEW        SLOW     [get_ports scl]
set_property PACKAGE_PIN B9       [get_ports scl]
set_property IOSTANDARD  LVCMOS18 [get_ports sda]
set_property DRIVE       4        [get_ports sda]
set_property SLEW        SLOW     [get_ports sda]
set_property PACKAGE_PIN A9       [get_ports sda]

#######################################################################
# OpenCPI additions to the above, which is unmodified from the original

create_clock -name clk_fpga_0 -period 10.000 [get_pins -hier * -filter {NAME =~ */ps/U0/inst/PS8_i/PLCLK[0]}]
set_property DONT_TOUCH true [get_cells "ftop/pfconfig_i/z3u_i/worker/ps/U0/inst/PS8_i"]

#set_property CLOCK_DEDICATED_ROUTE TRUE [get_nets data_clk]
#set_property CLOCK_DEDICATED_ROUTE TRUE [get_nets ftop/pfconfig_i/z3u_i/worker/i_rx_clk_ibufg/I]
create_clock -period 32.55 -name data_clk [get_ports {data_clk}]

# fb_clk (forwarded version data_clk)
create_generated_clock -name fb_clk -source [get_pins {ftop/platform_ad9361_data_sub_i/worker/data_clk_buf_i/O}] -divide_by 1 -invert [get_ports {fb_clk}]

set_false_path -from [get_clocks data_clk]   -to [get_clocks clk_fpga_0]
set_false_path -from [get_clocks clk_fpga_0] -to [get_clocks data_clk]

set_false_path -from [get_clocks fb_clk]   -to [get_clocks clk_fpga_0]
set_false_path -from [get_clocks clk_fpga_0] -to [get_clocks fb_clk]
